package testsamapp;

import java.io.IOException;
import java.io.PrintWriter;
import java.security.Principal;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(urlPatterns={"/pubUrl/*", "/secUrl/*"})
public class TestServlet extends HttpServlet{

	private static final long serialVersionUID = 1L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		PrintWriter writer = resp.getWriter();
		writer.write("TestServlet:\n");
		writer.write("============\n\n");
		
		Principal p= req.getUserPrincipal();
		if(p!=null){
			writer.write("Principal: " + p.getName() );
		}else{
			writer.write("Principal: null");
		}	
	}
	
}
